package rbac

import (
	"context"

	"code.fbi.h-da.de/danet/gosdn/controller/store"
)

// UserStore describes an interface for user store implementations.
type UserStore interface {
	Add(context.Context, User) error
	Update(context.Context, User) error
	Delete(context.Context, User) error
	Get(context.Context, store.Query) (LoadedUser, error)
	GetAll(context.Context) ([]LoadedUser, error)
}
