package topology

import (
	"code.fbi.h-da.de/danet/gosdn/controller/store"
	"code.fbi.h-da.de/danet/gosdn/controller/topology/links"
	topoStore "code.fbi.h-da.de/danet/gosdn/controller/topology/store"

	"go.mongodb.org/mongo-driver/mongo"
)

// NewTopologyStore returns a Topologytore.
func NewTopologyStore(db *mongo.Database) Store {
	storeMode := store.GetStoreMode()

	switch storeMode {
	case store.Database:
		return NewDatabaseTopologyStore(db)

	default:
		return topoStore.NewGenericStore[links.Link]()
	}
}
